Questions about L4 API V2

Björn Döbel doebel at
Sat Aug 30 11:40:11 CEST 2008

Hash: SHA1

Sean schrieb:
> Dear
> We are currently working on the ukernel design and survey the L4 API
> interface.
> For Fiasco, it is implemented on L4/V2 and L4/X.0 interfaces.

That's only partially true for the latest Fiasco SVN version. We
consider it implementing the L4.Fiasco spec, implementing L4v2 and
several additions that have been inherited from other specs such as x0
or have been incorporated by ourselves.

> If we implement a new u-kernel by ourselves that follows the same L4 API
> interface, will it still support the L4Env and L4Linux which will be put
> above this u-kernel? I think this issue is reasonable.

Since it is an ABI, not an API, when you implement a kernel providing
the same ABI provided by Fiasco, you will be able to run L4Env and
L4Linux on top, yes.

- --
Dipl.-Inf. Bjoern Doebel    Mail:  doebel at
TU Dresden, OS Chair        Phone: +49 351 463 38 799
Noethnitzer Str. 46         Fax:   +49 351 463 38 284
01187 Dresden, Germany      WWW:
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla -


More information about the l4-hackers mailing list